import { ICommand } from '@sourceloop/core';
import { AnyObject } from '@loopback/repository';
/**
 * Class to process external tasks configured as service
 * tasks in bpmn engine such as camunda.
 */
export declare class TaskProcessorCommand implements ICommand {
    private readonly callbackFn;
    private readonly processFn;
    private readonly processParams;
    parameters: AnyObject;
    /**
     *
     * @param {Function} callbackFn plug in the logic given by the consumer
     * @param {Function} processFn process function to run after the logic is executed
     * @param {AnyObject[]} processParams an array of params required by the process function
     */
    constructor(callbackFn: Function, processFn: Function, processParams: AnyObject[]);
    /**
     * @property {Function} execute the logic within the external tasks
     * which are currently configured as service tasks
     * @return {void}
     */
    execute(): Promise<void>;
}
