import { Binding, Component, ControllerClass, ProviderMap } from '@loopback/core';
import { Class, Model, Repository } from '@loopback/repository';
import { RestApplication } from '@loopback/rest';
import { ApiKeyVerificationService, CamundaService, EventProcessorService, EventQueueServiceSQS, HttpClientService, TaskDbService, TaskOperationService, UtilityService, WebhookService, WorkflowOperationService } from './services';
export declare class TaskServiceComponent implements Component {
    private readonly application;
    repositories?: Class<Repository<Model>>[];
    /**
     * An optional list of Model classes to bind for dependency injection
     * via `app.model()` API.
     */
    models?: Class<Model>[];
    providers: ProviderMap;
    services: (typeof HttpClientService | typeof CamundaService | typeof WorkflowOperationService | typeof UtilityService | typeof TaskDbService | typeof WebhookService | typeof TaskOperationService | typeof EventProcessorService | typeof EventQueueServiceSQS | typeof ApiKeyVerificationService)[];
    /**
     * An array of controller classes
     */
    controllers?: ControllerClass[];
    bindings?: Binding[];
    constructor(application: RestApplication);
    /**
     * Setup ServiceSequence by default if no other sequnce provided
     */
    setupSequence(): void;
}
