"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Task = void 0;
const tslib_1 = require("tslib");
const repository_1 = require("@loopback/repository");
const core_1 = require("@sourceloop/core");
let Task = class Task extends core_1.CoreEntity {
};
exports.Task = Task;
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        id: true,
        generated: true,
    }),
    tslib_1.__metadata("design:type", String)
], Task.prototype, "id", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
        description: 'An identifier for a particular task within an event',
    }),
    tslib_1.__metadata("design:type", String)
], Task.prototype, "key", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
        description: 'A name given by the consumer service for this task',
    }),
    tslib_1.__metadata("design:type", String)
], Task.prototype, "name", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: false,
        description: 'A short description of this task',
    }),
    tslib_1.__metadata("design:type", String)
], Task.prototype, "description", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
        description: 'A short message to indicate the progression of the task',
    }),
    tslib_1.__metadata("design:type", String)
], Task.prototype, "status", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
    }),
    tslib_1.__metadata("design:type", String)
], Task.prototype, "priority", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
    }),
    tslib_1.__metadata("design:type", String)
], Task.prototype, "severity", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
    }),
    tslib_1.__metadata("design:type", String)
], Task.prototype, "type", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'date',
        required: false,
        name: 'start_date',
    }),
    tslib_1.__metadata("design:type", Date)
], Task.prototype, "startDate", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'date',
        required: false,
        name: 'due_date',
    }),
    tslib_1.__metadata("design:type", Date)
], Task.prototype, "dueDate", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'date',
        required: false,
        name: 'end_date',
    }),
    tslib_1.__metadata("design:type", Date)
], Task.prototype, "endDate", void 0);
tslib_1.__decorate([
    (0, repository_1.property)({
        type: 'string',
        required: true,
        name: 'assignee_id',
    }),
    tslib_1.__metadata("design:type", String)
], Task.prototype, "assigneeId", void 0);
exports.Task = Task = tslib_1.__decorate([
    (0, repository_1.model)({
        name: 'tasks',
    })
], Task);
//# sourceMappingURL=task.model.js.map