"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiKeyVerificationService = void 0;
const tslib_1 = require("tslib");
// api-key-verification.service.ts
const repository_1 = require("@loopback/repository");
const rest_1 = require("@loopback/rest");
const repositories_1 = require("../repositories");
const core_1 = require("@loopback/core");
let ApiKeyVerificationService = class ApiKeyVerificationService {
    constructor(apiKeyRepo) {
        this.apiKeyRepo = apiKeyRepo;
    }
    async verifyApiKeys(apiKey, apiSecret) {
        try {
            const apiKeysObject = await this.apiKeyRepo.findOne({
                where: {
                    apiKey,
                    apiSecret,
                },
            });
            if (apiKeysObject) {
                return true; // Valid API key and secret
            }
            else {
                return false; // Invalid API key and/or secret
            }
        }
        catch (error) {
            throw new rest_1.HttpErrors.InternalServerError('Error verifying API keys');
        }
    }
};
exports.ApiKeyVerificationService = ApiKeyVerificationService;
exports.ApiKeyVerificationService = ApiKeyVerificationService = tslib_1.__decorate([
    (0, core_1.injectable)(),
    tslib_1.__param(0, (0, repository_1.repository)(repositories_1.ApiKeyRepository)),
    tslib_1.__metadata("design:paramtypes", [repositories_1.ApiKeyRepository])
], ApiKeyVerificationService);
//# sourceMappingURL=api-key-verification.service.js.map