"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskDbService = void 0;
const tslib_1 = require("tslib");
const context_1 = require("@loopback/context");
const repository_1 = require("@loopback/repository");
const repositories_1 = require("../repositories");
let TaskDbService = class TaskDbService {
    constructor(taskRepo) {
        this.taskRepo = taskRepo;
    }
    async updateTaskStatus(key, task) {
        const dbTask = await this.taskRepo.findOne({
            where: {
                key,
            },
        });
        if (dbTask) {
            dbTask.status = task.status;
            await this.taskRepo.update(dbTask);
        }
    }
};
exports.TaskDbService = TaskDbService;
exports.TaskDbService = TaskDbService = tslib_1.__decorate([
    (0, context_1.injectable)({
        scope: context_1.BindingScope.TRANSIENT,
    }),
    tslib_1.__param(0, (0, repository_1.repository)(repositories_1.TaskRepository)),
    tslib_1.__metadata("design:paramtypes", [repositories_1.TaskRepository])
], TaskDbService);
//# sourceMappingURL=task-db.service.js.map