import { AnyObject } from '@loopback/repository';
import { CamundaService } from './camunda.service';
import { WorkerRegisterFn, WorkerImplementationFn } from '@sourceloop/bpmn-service';
import { TaskReturnMap } from '../types';
import { WorkflowOperationService } from './workflow-operation.service';
import { UtilityService } from './utility.service';
import { TaskDbService } from './task-db.service';
import { WebhookService } from './webhook.service';
import { TaskRepository } from '../repositories';
export declare class TaskOperationService {
    private readonly taskDbService;
    private readonly camundaService;
    private readonly workflowOpsService;
    private readonly utilityService;
    private readonly regFn;
    private readonly workerFn;
    private readonly customBpmnRunner;
    private readonly webhookService;
    private readonly taskRepo;
    constructor(taskDbService: TaskDbService, camundaService: CamundaService, workflowOpsService: WorkflowOperationService, utilityService: UtilityService, regFn: WorkerRegisterFn, workerFn: WorkerImplementationFn, customBpmnRunner: TaskReturnMap, webhookService: WebhookService, taskRepo: TaskRepository);
    clientBpmnRunner: TaskReturnMap;
    private _createTaskProcessorFunction;
    processTask(id: string, name: string, key: string, payload?: AnyObject): Promise<void>;
    taskUpdateFlow(taskKey: string, payload?: AnyObject): Promise<void>;
    private _registerOrUpdateCommand;
    private _runCommand;
    private _initWorkers;
    private _createTaskAndExecuteWorkflow;
}
